"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setRouter = void 0;
const asyncHandler = require("express-async-handler");
const yqcthzpBiz = require("../biz/yqcthzp");
const yqcthzjBiz = require("../biz/yqcthzj");
const dtBiz = require("../biz/dt");
const yqcthypBiz = require("../biz/yqcthyp");
const mapBiz = require("../biz/map");
function setRouter(httpServer) {
    //======post
    httpServer.post('/yqcthzp', asyncHandler(yqcthzpBiz.getData));
    httpServer.post('/yqcthzj', asyncHandler(yqcthzjBiz.getData));
    httpServer.post('/dt', asyncHandler(dtBiz.getData));
    httpServer.post('/yqcthyp', asyncHandler(yqcthypBiz.getData));
    httpServer.post('/map', asyncHandler(mapBiz.getData));
    //======get
    httpServer.get('/yqcthzp', asyncHandler(yqcthzpBiz.getData));
    httpServer.get('/yqcthzj', asyncHandler(yqcthzjBiz.getData));
    httpServer.get('/dt', asyncHandler(dtBiz.getData));
    httpServer.get('/yqcthyp', asyncHandler(yqcthypBiz.getData));
    httpServer.get('/map', asyncHandler(mapBiz.getData));
}
exports.setRouter = setRouter;
//# sourceMappingURL=router.js.map