import * as asyncHandler from 'express-async-handler'
import * as yqcthzpBiz from '../biz/yqcthzp';
import * as yqcthzjBiz from '../biz/yqcthzj';
import * as dtBiz from '../biz/dt';
import * as yqcthypBiz from '../biz/yqcthyp';
import * as cm_yqcthzpBiz from '../biz/chongMing/yqcthzp';
import * as cm_yqcthzjBiz from '../biz/chongMing/yqcthzj';
import * as cm_dtBiz from '../biz/chongMing/dt';
import * as cm_yqcthypBiz from '../biz/chongMing/yqcthyp';
        
export function setRouter(httpServer){

    //======post
    httpServer.post('/yqcthzp', asyncHandler(yqcthzpBiz.getData));
    httpServer.post('/yqcthzj', asyncHandler(yqcthzjBiz.getData));
    httpServer.post('/dt', asyncHandler(dtBiz.getData));
    httpServer.post('/yqcthyp', asyncHandler(yqcthypBiz.getData));
        
            
    //======get
    httpServer.get('/yqcthzp', asyncHandler(yqcthzpBiz.getData));
    httpServer.get('/yqcthzj', asyncHandler(yqcthzjBiz.getData));
    httpServer.get('/dt', asyncHandler(dtBiz.getData));
    httpServer.get('/yqcthyp', asyncHandler(yqcthypBiz.getData));


    //======崇明post
    httpServer.post('/cm_yqcthzp', asyncHandler(cm_yqcthzpBiz.getData));
    httpServer.post('/cm_yqcthzj', asyncHandler(cm_yqcthzjBiz.getData));
    httpServer.post('/cm_dt', asyncHandler(cm_dtBiz.getData));
    httpServer.post('/cm_yqcthyp', asyncHandler(cm_yqcthypBiz.getData));
        
            
    //======崇明get
    httpServer.get('/cm_yqcthzp', asyncHandler(cm_yqcthzpBiz.getData));
    httpServer.get('/cm_yqcthzj', asyncHandler(cm_yqcthzjBiz.getData));
    httpServer.get('/cm_dt', asyncHandler(cm_dtBiz.getData));
    httpServer.get('/cm_yqcthyp', asyncHandler(cm_yqcthypBiz.getData));
}
    